﻿<UserControl x:Class="WpfUI.Components.Login"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:components="clr-namespace:PasswordBoxMVVM.Components;assembly=PasswordBoxMVVM"
             xmlns:viewmodels="clr-namespace:WpfUI.ViewModels" 
             d:DataContext="{d:DesignInstance Type=viewmodels:LoginViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid
        MaxWidth="1000"
        Margin="20"
        HorizontalAlignment="Center"
        VerticalAlignment="Center">
        <Grid.RowDefinitions>
            <RowDefinition Height="auto" />
            <RowDefinition Height="auto" />
            <RowDefinition Height="auto" />
            <RowDefinition Height="auto" />
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="400" />
        </Grid.ColumnDefinitions>


        <TextBlock
            Grid.Row="0"
            HorizontalAlignment="Center"
            FontSize="28"
            FontWeight="DemiBold"
            Foreground="#3854b5"
            Text="Accès admin" />

        <StackPanel Grid.Row="1" Margin="0 20 0 0">
            <StackPanel>
                <TextBlock Text="Email" />
                <TextBox Text="{Binding Email}" />
            </StackPanel>

            <StackPanel Grid.Row="2" Margin="0 10 0 0">
                <TextBlock Text="Mot-de-passe" />
                <components:BindablePasswordBox Password="{Binding Password}" />
            </StackPanel>
        </StackPanel>

        <StackPanel Grid.Row="2" Margin="20" Orientation="Horizontal" HorizontalAlignment="Center" >
            <Button 
                Margin="10"
                Width="120" 
                Content="Valider" 
                Background="#3854b5"
                Command="{Binding LoginCommand}"/>
            <Button 
                Margin="10"
                Width="120" 
                Content="Annuler" 
                Background="#b53847" 
                Command="{Binding CancelCommand}"/>
        </StackPanel>
        <TextBlock Margin="0 10 0 0" Grid.Row="4" Foreground="Red" Text="{Binding ErrorMessage}" Visibility="{Binding HasErrorMessage, Source={StaticResource BooleanToVisibilityConverter}}" />
    </Grid>
</UserControl>
